#
# moz.yaml file to configure updatebot to perform version bumps for
# nightly application-services builds; the version bump occurs in
# ApplicationServices.kt.
#
# Note that application-services is not really vendored here: All the
# normal vendoring steps are skipped and a custom action is used to
# do the version bump. This allows us to drive version bumps in updatebot
# and leverage updatebot's bug and patch creation.
#

# Version of this schema
schema: 1

bugzilla:
  # Bugzilla product and component for this directory and subdirectories
  product: Fenix
  component: "General"

# Document the source of externally hosted code
origin:

  # Short name of the package/library
  name: android nightly application-services version bump

  description: android nightly application-services version bump

  # Full URL for the package's homepage/etc
  # Usually different from repository url
  url: https://github.com/mozilla/application-services

  # Human-readable identifier for this version/release
  # Generally "version NNN", "tag SSS", "bookmark SSS"
  release: be846369d1ae56f801633a024b9d658bce534b44 (2025-03-11T05:03:58).

  # Revision to pull in
  # Must be a long or short commit SHA (long preferred)
  revision: be846369d1ae56f801633a024b9d658bce534b44

  # The package's license, where possible using the mnemonic from
  # https://spdx.org/licenses/
  # Multiple licenses can be specified (as a YAML list)
  # A "LICENSE" file must exist containing the full license text
  license: MPL-2.0
  license-file: LICENSE

updatebot:
    maintainer-phab: "#release-managers"
    maintainer-bz: dmeehan@mozilla.com
    tasks:
      - type: vendoring
        enabled: true
        frequency: every
    fuzzy-query: "'test-components | 'test-apk"

vendoring:
  url: https://github.com/mozilla/application-services
  source-hosting: yaml-dir
  source-host-path: appservices_version_bump.ASHost
  tracking: tag

  skip-vendoring-steps:
    - fetch
    - keep
    - include
    - exclude
    - move-contents
    - update-moz-build

  update-actions:
    - action: run-script
      script: '{yaml_dir}/appservices_version_bump.py'
      cwd: '.'
      args: ['{revision}']
